• There is NO official Otland's Discord server and NO official Otland's server list. The Otland's Staff does not manage any Discord server or server list. Moderators or administrator of any Discord server or server lists have NO connection to the Otland's Staff. Do not get scammed!

Compiling Error when compiling

adrenyslopez

Member
Joined
Dec 22, 2015
Messages
182
Reaction score
13
hi, good evening .. Does anyone know how to fix this problem?

I am following the guide as it says here and it throws me this error

error.png

Lua:
[email protected]:~/otservbr-global/build# cmake -DCMAKE_TOOLCHAIN_FILE=../../vcpkg/scripts/buildsystems/vcpkg.cmake ..
CMake Error at CMakeLists.txt:1 (cmake_minimum_required):
  CMake 3.16 or higher is required.  You are running version 3.7.2


-- Configuring incomplete, errors occurred!

opentibiabr/otservbr-global (https://github.com/opentibiabr/otservbr-global/wiki/Compiling-on-Ubuntu-or-Debian-GNU-Linux)
 

Snavy

Bakasta
Senator
Joined
Apr 1, 2012
Messages
1,246
Solutions
71
Reaction score
585
Location
Hell
error
Lua:
[email protected]:~# apt-get install cmake=3.16
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Version '3.16' for 'cmake' was not found

View attachment 57830

See if this works
Bash:
# uninstall current cmake package
apt-get purge cmake
apt-get autoremove

# update package list
apt-get update
apt-get upgrade

# install cmake
apt-get install cmake

# check version
cmake --version
 
OP
OP
A

adrenyslopez

Member
Joined
Dec 22, 2015
Messages
182
Reaction score
13
See if this works
Bash:
# uninstall current cmake package
apt-get purge cmake
apt-get autoremove

# update package list
apt-get update
apt-get upgrade

# install cmake
apt-get install cmake

# check version
cmake --version
Lua:
[email protected]:/# cmake --version
CMake Error: Could not find CMAKE_ROOT !!!
CMake has most likely not been installed correctly.
Modules directory not found in
/usr/local/share/cmake-3.7
cmake version 3.7.2


CMake suite maintained and supported by Kitware (kitware.com/cmake).
 

Snavy

Bakasta
Senator
Joined
Apr 1, 2012
Messages
1,246
Solutions
71
Reaction score
585
Location
Hell
Lua:
[email protected]:/# cmake --version
CMake Error: Could not find CMAKE_ROOT !!!
CMake has most likely not been installed correctly.
Modules directory not found in
/usr/local/share/cmake-3.7
cmake version 3.7.2


CMake suite maintained and supported by Kitware (kitware.com/cmake).
could you try the following
 
OP
OP
A

adrenyslopez

Member
Joined
Dec 22, 2015
Messages
182
Reaction score
13
could you try the following
Lua:
-- Installing port from location: /vcpkg/buildtrees/versioning/versions/bzip2/5a1b1b8d666b9ef64e8596e4716c2e2f654f4532
-- Fetching https://sourceware.org/git/bzip2.git...
CMake Error at scripts/cmake/vcpkg_execute_required_process.cmake:105 (message):
    Command failed: /usr/bin/git fetch https://sourceware.org/git/bzip2.git 75a94bea3918e612b879d6a11ca64b8689526147 --depth 1 -n
    Working Directory: /vcpkg/downloads/git-tmp
    Error code: 128
    See logs for more information:
      /vcpkg/buildtrees/bzip2/git-fetch-x64-linux-err.log

Call Stack (most recent call first):
  scripts/cmake/vcpkg_from_git.cmake:91 (vcpkg_execute_required_process)
  buildtrees/versioning/versions/bzip2/5a1b1b8d666b9ef64e8596e4716c2e2f654f4532/portfile.cmake:1 (vcpkg_from_git)
  scripts/ports.cmake:142 (include)


Error: Building package bzip2:x64-linux failed with: BUILD_FAILED
Please ensure you're using the latest portfiles with `./vcpkg update`, then
submit an issue at https://github.com/Microsoft/vcpkg/issues including:
  Package: bzip2:x64-linux
  Vcpkg version: 2021-01-13-unknownhash

Additionally, attach any relevant sections from the log files above.
-- Running vcpkg install - failed
CMake Error at /vcpkg/scripts/buildsystems/vcpkg.cmake:898 (message):
  vcpkg install failed.  See logs for more information:
  /otservbr-global/build/vcpkg-manifest-install.log
Call Stack (most recent call first):
  /opt/cmake-3.19.2-Linux-x86_64/share/cmake-3.19/Modules/CMakeDetermineSystem.cmake:120 (include)
  CMakeLists.txt:25 (project)


CMake Error: CMake was unable to find a build program corresponding to "Unix Makefiles".  CMAKE_MAKE_PROGRAM is not set.  You probably need to select a different build tool.
CMake Error: CMAKE_C_COMPILER not set, after EnableLanguage
CMake Error: CMAKE_CXX_COMPILER not set, after EnableLanguage
-- Configuring incomplete, errors occurred!
 

Attachments

Top